# net.snowflake.client.jdbc.cloud.storage

## Interfaces

- SnowflakeStorageClient
- StorageObjectMetadata

## Classes

- AzureObjectMetadata
- AzureObjectSummariesIterator
- S3ObjectMetadata
- S3ObjectSummariesIterator
- SnowflakeAzureClient
- SnowflakeS3Client
- StageInfo
- StorageClientFactory
- StorageObjectSummary
- StorageObjectSummaryCollection

## Enums

- StageInfo.StageType

## Exceptions

- StorageProviderException